Vionlabs Binge Markers Results API
Get marker information for an asset.
DeprecatedDEPRECATED.
Returns asset marker information for the asset with the specified customer
ident. If the asset is found in catalog but has not yet been processed the
not_yet_available flag will be set in the response
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Customer identifier for an item in the catalog
Query Parameters
Specify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v1/asset/string"{
"credit_start": 3057,
"ident": "1347gg5",
"intro_end": 125,
"intro_start": 60,
"not_yet_available": false,
"recap_end": 155,
"recap_start": 125
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get list of binge markers information
DeprecatedDEPRECATED.
Returns paginated list of items with binge markers information for the customer catalog
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
10001 <= valueSpecify binge markers version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/markers/v1/"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Gets asset marker result status and information for the asset with the specified customer ident.
API version 2 requires binge markers product version 29 or earlier. Customers on binge markers product version 30 or later have to use API version 3.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Customer identifier for an item in the catalog
Query Parameters
Specify binge markers product version code. API version 2 requires binge markers product version 29 or earlier
Response Body
application/json
curl -X GET "https://example.com/results/markers/v2/string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"credit_start": 3057,
"ident": "1347gg5",
"intro_end": 125,
"intro_start": 60,
"not_yet_available": false,
"recap_end": 155,
"recap_start": 125
}
}Gets asset marker result status for the asset with the specified customer ident.
API version 2 requires binge markers product version 29 or earlier. Customers on binge markers product version 30 or later have to use API version 3.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Customer identifier for an item in the catalog
Query Parameters
Specify binge markers product version code. API version 2 requires binge markers product version 29 or earlier
Response Body
application/json
curl -X GET "https://example.com/results/markers/v2/status/string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}Returns paginated list of items with binge markers information for the customer catalog
API version 2 requires binge markers product version 29 or earlier. Customers on binge markers product version 30 or later have to use API version 3.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueSpecify binge markers product version code. API version 2 requires binge markers product version 29 or earlier
Response Body
application/json
curl -X GET "https://example.com/results/markers/v2/"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}Returns binge markers for a standalone asset, episode or a season."
IMPORTANT: API version 3 requires binge markers product version 30 or later. It does not work with older binge markers product versions; customers configured with one have to keep using API version 2.
Accepts a single identifier for:
- An asset ingested to the catalog as standalone content
- An asset ingested as episodic content (part of a series)
- An entire season
This list purposefully does NOT include identifiers for entire series, in this case binge markers have to be requested season by season.
IMPORTANT: For episodic content, our binge marker detectors become more accurate the more episodes you ingest for a given season. This means that the binge markers for a given episode can change over time as you ingest more assets. To avoid confusion, we recommend always requesting binge markers for episodes using their season identifier, which will return a list of the most up-to-date markers for that season. If you subscribe to our webhooks for receiving processing updates this means that when you receive a markers webhook for an episode, we recommend re-fetching the whole season.
The above does not mean that binge markers requested using single episode identifiers are less accurate; the API does the same calculations as it would have for an entire season, then drops the extra binge markers for the remaning episodes from the list before returning.
Ocassionally, you will get multiple binge markers of the same kind returned for a single asset. Most of the time, this happens for end-credits where binge markers can split into two intervals to avoid including extra scenes or previews. A marker corrected by a Vionlabs reviewer is returned as a single interval.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Identifier for a standalone asset, episode or a season.
Query Parameters
Specify binge markers product version code. API version 3 requires binge markers product version 30 or later
Response Body
application/json
curl -X GET "https://example.com/results/markers/v3/string"[
{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"ident": "string",
"not_yet_available": false,
"intro": [],
"recap": [],
"credit": []
}
}
]Vionlabs Tasks API
Vionlabs API for creating, retrieving and deactivating processing tasks for catalog assets and product versions. Tasks are used to orchestrate processing and expose the current state of requested work across the system.
Vionlabs Fingerprint+ API
Vionlabs API for retrieval of content fingerprint results plus additional metadata.